/* libbncsql/bncsql.h.  Generated from bncsql.h.in by configure.  */
//Copyright 2017-2018 blacknoise.at
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//
#ifndef bncSQL
#define bncSQL

#define PACKAGE_NAME "libbncsql"
#define LIBBNCSQL_VERSION "1.0.1"
#define PACKAGE_BUGREPORT "libbncsql@blacknoise.at"
#define PACKAGE_URL "http://www.blacknoise.at/?libbncsql"
#define TARGET_OS         "linux"
#define TARGET_ARCH       "x86_64"
#define PLATFORM          "linux-x86_64"
#define PREFIX            "/opt/libbncsql-linux-x86_64"
#define BUILD_DATE_TIME   "20180312-11:34:02"
#define UNIX_SEC          "1520850842"
#define TARGET            ""
//CPPFLAGS " -DHAVE_CONFIG"


//#define DEBUG
//#define bncSQL_DEBUG
//#define bncSQLRSync_DEBUG

#ifdef DEBUG
# define bncSQL_DEBUG
#endif

#ifndef HAVE_SSL
# define HAVE_SSL 1
#endif

#ifndef bncSQLProxy_ENABLED
# define bncSQLProxy_ENABLED 1
#endif

#ifndef bncSQLRSync_ENABLED
# define bncSQLRSync_ENABLED 1
#endif

#ifndef bnSSL_ENABLED
# define bnSSL_ENABLED 1
#endif

#ifndef bncSQL_DEBUG
/* # undef bncSQL_DEBUG */
#endif

#include <stdlib.h>
#ifdef __APPLE__
# include <malloc/malloc.h>
#else
# include <malloc.h>
#endif

#define bncSQL_API_VERSION 0x01

#define bn_free(a) {\
    if (a) { free(a); }\
        a = NULL;\
}

#include <bncSQLColumn.h>
#include <bncSQLDataBase.h>
#include <bncSQLTable.h>

extern _bncDataBase  dbDefault;

#endif
